Skip to main content
`Ctrl`+`K`

# TaoSetMaximumFunctionEvaluations

Sets a maximum number of function evaluations allowed for a `TaoSolve()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetMaximumFunctionEvaluations(Tao tao, PetscInt nfcn)

Logically Collective

## Input Parameters

- tao - the `Tao` solver context

- nfcn - the maximum number of function evaluations (>=0), use `PETSC_UNLIMITED` to have no bound

## Options Database Key

- -tao_max_funcs nfcn - sets the maximum number of function evaluations

## Note

Use `PETSC_DETERMINE` to use the default maximum number of function evaluations that was set when the object type was set.

## Developer Note

Deprecated support for an unlimited number of function evaluations by passing a negative value.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetTolerances()`, `TaoSetMaximumIterations()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/constrained/tutorials/ex1.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages